/******************************************************************************
*	File		-	wren_script.cpp
*	Author		-	Joey Pollack
*	Date		-	2022/10/25 (y/m/d)
*	Mod Date	-	2022/10/25 (y/m/d)
*	Description	-	Wraps a string that contains a wren script.
******************************************************************************/

#include "wren_script.h"

namespace lunarium
{
    WrenScript::WrenScript(std::string module_name, std::string code)
        : mModuleName(module_name), mCode(code)
    {
    }


    void WrenScript::SetModuleName(std::string name)
    {
        mModuleName = name;
    }

    void WrenScript::SetScriptCode(std::string code)
    {
        mCode = code;
    }

    void WrenScript::AppendScriptCode(std::string code)
    {
        mCode += code;
    }

    void WrenScript::ClearScript()
    {
        mCode = "";
    }

    std::string WrenScript::GetModuleName() const
    {
        return mModuleName;
    }

    std::string WrenScript::GetScriptCode() const
    {
        return mCode;
    }

}